function obj = show_symplane( obj,database,varargin )

segid = objgraph.m_segid_per_compts(:,idxpos);
seg = database.m_dbobjlist{segid(1)}.segmentlist_imgc{segid(2)};
seg = seg.set_position_center(objgraph.m_compts(:,idxpos));
close all;hold on;
ptsketch = objgraph.m_samplepts;
ptsketch = ptsketch(:,1:3:end);
ptsketch(3,:) = 0;
util_scatter_pts(ptsketch);
symplane = SPLAN_ELEM_PLANE.init_with_p0_normal(p0,plnormal);
symplane.show;
seg.m_mesh.show_trisurf;
axis tight
view(-90,-90);

end

